<?php
$add_css="<style>img{vertical-align:middle}</style>";
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head.php');
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/sidebar-eleve.php');
?>

<a class="bloc bloc-small bg-green tooltip-trigger" id="cv_new">

	<p><span>
		Créer un<br>nouveau CV
	</span></p>
</a>

<div class="tooltip">
	
	<a class="close-tooltip" rel="cv_new">x</a>
	
	<?php // NOMBRE DE CV DEJA ENREGISTRES (LIMITE 3)
		
		$sql = dbquery("SELECT * FROM cv_auditeurs WHERE id_auditeur = '".$_SESSION['user']['id']."' ");

		if(dbnumrows($sql)>2){
			echo 'Vous avez déja crée 3 CV, vous ne pouvez pas en créer davantage.';
		}
		else{
			echo'
				<form action="session_cv.php" method="POST" class="infos_form">
					Nom du CV : 
					<input type="text" maxlength="30" name="nom_cv"/>
					<input type="submit" value="OK" class="bg-red"/>
				</form>
			';
		}

	?>

</div>


<h1 class="clearfloat"><br><br>CV déja enregistré(s) : </h1>
<?php

// LISTING CV (reprise de la requete sql effectuée prédemment)

if(dbnumrows($sql)>0){

	echo'
		
		<table>
			<tr>
				<th style="width:60%;" class="align-left">Nom du CV</th>
				<th style="width:10%;">Aperçu</th>
				<th style="width:10%;">Modifier</th>
				<th style="width:10%;">Supprimer</th>
				<th style="width:10%;">Valide <a style="color:#c1002a !important" title="Afin que le CV soit validé et mis en ligne, il doit contenir au moins une expérience professionnelle et un diplôme">?</a></th>
			<tr>
	';
	for($i=0;$i<dbnumrows($sql);$i++){
		$id_cv		= dbresult($sql,$i,"id_cv");
		$nom_cv		= dbresult($sql,$i,"nom_cv");
		
		// Vérification si cv valide ( minimum 1 compétence ET 1 expérience pro)
		$sql_comp	= dbquery("SELECT * FROM cv_competences WHERE id_cv = '".$id_cv."' ");
		$sql_exp	= dbquery("SELECT * FROM cv_experiences WHERE id_cv = '".$id_cv."' ");

		if(dbnumrows($sql_comp)>0 && dbnumrows($sql_exp)>0)		$cv_valide = '<img src="/espace_personnel/images/accept.png" />';
		else													$cv_valide = '';

		echo '
			<tr>
				<td class="align-left">'.$nom_cv.'</td>
				<td><a href="form.php?id_cv='.$id_cv.'#5"><img src="/espace_personnel/images/page_search.png" /></a></td>
				<td><a href="session_cv.php?id_cv='.$id_cv.'"><img src="/espace_personnel/images/process.png" /></a></td>
				<td><a href="delete_confirm.php?id_cv='.$id_cv.'"><img src="/espace_personnel/images/remove.png" /></a></td>
				<td>'.$cv_valide.'</td>
			</tr>
		';
	}
	echo'
		</table>
	';
}
else
	echo 'Aucun CV enregistré.'

?>

</div>


<script>
	$(".infos_form").validator({
		position: 'top left',
		offset: [-12, 0],
		message: '<div><em/></div>' 
	});
</script>

<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/end.php');
?>